FLASHCTL(8)

NAME
flashctl - a program to manipulate flash devices

SYNOPSIS
flashctl device command [ arg [...]]

DESCRIPTION
flashctl could be used to invoke low level operations specific to flash devices. It is used by specifying a device to manipulate, the command to perform, and any arguments the command may require.

DEVICE COMMANDS
The following commands may be used on flash devices:

badblocks
    List the bad blocks on the device.

erase offset size
    Erase size amount of flash memory from offset. Size could be all, which means the rest of the flash after offset will be erased.

identify
    Identify the specified device, displaying the device's vendor, product strings, and the device's capabilities.

markbad offset
    Mark the block given by its offset as bad.

SEE ALSO
flash(4)

HISTORY
The flashctl command first appeared in NetBSD 6.0.

AUTHORS
The flashctl command was written by Adam Hoka.